

class CaseRecord 
  attr_accessor :client, :clinic_id
  attr_accessor :audits, :visits

  def initialize
    super
    @audits = []
    @visits = []
  end
end

class Audit 
  attr_accessor :auditor, :variance
end

class Visit 
  attr_accessor :diagnosis, :charges, :comments
end

class App
  attr_accessor :user, :records
  
  def initialize
    @records = []
  end

  def current_record
    @records.last
  end

  def current_visit
    current_record.visits.last
  end

  def current_audit
    current_record.audits.last
  end

  def login(fields)
    user = fields[:login]
  end

  def new_case(fields)
    @records << CaseRecord.new
  end

  def record_case(fields)
    current_record.client = fields[:client]
    current_record.clinic_id = fields[:client_id]
  end

  def add_visit(fields)
    current_record.visits << Visit.new
  end

  def record_visit(fields)
    current_visit.diagnosis = fields[:diagnosis]
    current_visit.charges = fields[:charges]
  end

  def add_audit(fields)
    current_record.audits << Audit.new
  end

  def record_audit(fields)
    current_audit.auditor = fields[:auditor]
    current_audit.variance = fields[:variance]
  end
  
end
