require 'browser'

class Browser

  def self.make_command(name, start_button, fields, finish_button)
    command = "def #{name}(#{fields.join(', ')});"
    command << "press('#{start_button}');" if start_button

    fields.each { | field |
      command << "enter(:#{field}, #{field});"
    }
    command << "press('#{finish_button}'); end"
    module_eval(command)
  end

  make_command(:login, nil, [:password, :login], "Login")
  make_command(:new_case, 'New Case', [:client, :clinic_id], "Record Case")
  make_command(:new_visit, 'Add Visit',
               [:diagnosis, :charges, :comments], 'Record Visit')
  make_command(:new_audit, "Add Audit", [:auditor, :variance], 'Record Audit')
end
