require 'app'


class Browser

  def initialize
    @app = App.new
    @field_values = {}
  end    

  def as_our_story_begins(&block)
    initialize
    go("http://app.com/app")   # suitable if all tests are of the same app.
    @configuration = Configuration.new(self, &block)
    @configuration.establish
  end

  def log(text='')
    puts text unless ENV['quiet']=='true'
  end

  def go(url)
    log "Go to <#{url}>"
  end

  def enter(field, value)
    log "Enter #{value.inspect} into field #{field.inspect}"
    @field_values[field] = value
  end

  def press(button)
    log "Press #{button.inspect}"
    log
    message = button.gsub(/ /, '_').downcase
    @app.send(message, @field_values)
    @field_values = {}
  end

end
