require 'test/unit'
require 'browser'
require 'test-util'

class RawProceduralTests < Test::Unit::TestCase
  include PageAssertions

  def setup
    @browser = Browser.new
  end

  def test_cannot_append_to_a_nominal_audit
    go('http://app.com/com')

    enter(:login, 'unimportant')
    enter(:password, 'unimportant')
    press('Login')

    press('New Case')

    enter(:client, 'unimportant')
    enter(:clinic_id, '213')
    press('Record Case')

    press('Add Visit')

    enter(:diagnosis, 'unimportant')
    enter(:charges, '100')
    press('Record Visit')

    press('Add Audit')

    enter(:auditor, 'unimportant')
    enter(:variance, 'nominal')
    press('Record Audit')

    assert_page_title('Case Management')
    assert_page_has_no_button_labeled('Add Audit')
  end

end


